WPSParagraph Struct Reference

class to store the paragraph properties More...

`#include <WPSParagraph.h>`

Inheritance diagram for WPSParagraph:

## Public Types

typedef WPSList::Level | ListLevel

## Public Member Functions

| WPSParagraph ()
| constructor More...
virtual | ~WPSParagraph ()
void | send (shared_ptr< WPSContentListener > listener) const
| send data to the listener More...

## Public Attributes

double | m_margins [3]
| the margins More...
double | m_spacings [3]
| the line spacing More...
std::vector< WPSTabStop > | m_tabs
| the tabulations More...
libwps::Justification | m_justify
| the justification More...
int | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
int | m_listLevelIndex
| the actual level index More...
ListLevel | m_listLevel
| the actual level More...
uint32_t | m_backgroundColor
| the background color More...
int | m_border
| list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ... More...
WPSBorder | m_borderStyle
| the border style More...
std::string | m_extra
| a string to store some errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, WPSParagraph const &ft)
| operator << More...

## Detailed Description

class to store the paragraph properties

## Member Typedef Documentation

typedef WPSList::Level WPSParagraph::ListLevel

## Constructor & Destructor Documentation

WPSParagraph::WPSParagraph | ( |  | ) |

inline

constructor

virtual WPSParagraph::~WPSParagraph | ( |  | ) |

inline virtual

## Member Function Documentation

void WPSParagraph::send | ( | shared_ptr< WPSContentListener > | listener | ) | const

send data to the listener

Referenced by WPS8TextStyle::sendParagraph(), and WPS4Text::setProperty().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSParagraph const & | ft
| ) |  |

friend

operator <<

## Member Data Documentation

uint32_t WPSParagraph::m_backgroundColor

the background color

Referenced by operator<<(), WPS8TextStyle::readParagraph(), and send().

int WPSParagraph::m_border

list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ...

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and send().

WPSBorder WPSParagraph::m_borderStyle

the border style

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and send().

int WPSParagraph::m_breakStatus

a list of bits: 0x1 (unbreakable), 0x2 (do not break after)

Referenced by operator<<(), and WPS4Text::readParagraph().

std::string WPSParagraph::m_extra

a string to store some errors

Referenced by operator<<(), WPS8TextStyle::readParagraph(), and WPS4Text::readParagraph().

libwps::Justification WPSParagraph::m_justify

the justification

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and send().

ListLevel WPSParagraph::m_listLevel

the actual level

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and send().

int WPSParagraph::m_listLevelIndex

the actual level index

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and send().

double WPSParagraph::m_margins[3]

the margins

- 0: first line left margin
- 1: left margin
- 2: right margin

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), send(), and WPSParagraph().

double WPSParagraph::m_spacings[3]

the line spacing

- 0: interline
- 1: before
- 2: after

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), send(), and WPSParagraph().

std::vector<WPSTabStop> WPSParagraph::m_tabs

the tabulations

Referenced by operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and send().

The documentation for this struct was generated from the following files:

- WPSParagraph.h
- WPSParagraph.cpp